import json
import os

import yaml
from yamlcore import CoreDumper, CoreLoader

from launcher.config.conf import Conf
from pathlib import Path

conf_path = Path(os.path.join(os.getcwd(), "conf.json"))


def save_conf():
    with conf_path.open("w", encoding="utf8") as f:
        json.dump(conf.model_dump(), f, ensure_ascii=False, indent=4)  # Use json.dump
        # yaml.dump(
        #     conf.model_dump(),
        #     f,
        #     Dumper=CoreDumper,
        #     encoding="utf-8",
        #     default_flow_style=False,
        #     allow_unicode=True,
        # )


def load_conf():
    global conf
    if not conf_path.is_file():
        conf_path.parent.mkdir(exist_ok=True)
        conf = Conf()
        save_conf()
        return
    with conf_path.open("r", encoding="utf-8") as f:
        data = yaml.load(f, Loader=CoreLoader)
        if data is None:
            data = {}
        conf = Conf(**data)


conf: Conf
load_conf()
