import { defineStore } from 'pinia'

export const useConfigStore = defineStore('config', () => {
  class Config {
    constructor(conf) {
      this.page = conf.page
      this.branch = conf.branch
      this.mirror = conf.mirror
    }
  }

  const config = ref({})

  async function load_config() {
    const conf = await pywebview.api.load_config()
    config.value = new Config(conf)
    console.log('config.value', config.value)
  }

  watch(
    config,
    () => {
      pywebview.api.save_config(config.value)
    },
    { deep: true }
  )

  return {
    load_config,
    config
  }
})
